Bug 21831 - Marc modification templates move all action moves only one field
Summary: Marc modification templates move all action moves only one field
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-14 05:53 UTC by paxed
Modified: 2019-10-14 20:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 21831: Allow move all fields even if destination field is different (1.09 KB, patch)
2018-12-07 17:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21831: Allow move all fields even if destination field is different (1.13 KB, patch)
2019-05-20 15:50 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 21831: Allow move all fields even if destination field is different (1.23 KB, patch)
2019-05-22 14:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-11-14 05:53:18 UTC
If you have a marc modification template action to "move all fields XXX to YYY", and the field XXX has been repeated in a record, only the first XXX field is moved.

Same applies to "copy" and "copy and replace" actions.
Comment 1 David Cook 2018-11-19 23:44:59 UTC
I'm sure that I've seen it move all the subfields from all the XXX fields and stuff them into 1 new YYY field. Obviously that isn't very optimal either though.

I personally find the marc modification templates almost unusable. I don't know if it's better to try to improve them or figure out something else...
Comment 2 Jonathan Druart 2018-12-07 17:21:56 UTC
(In reply to David Cook from comment #1)
> I personally find the marc modification templates almost unusable. I don't
> know if it's better to try to improve them or figure out something else...

That's not very constructive. The tool exists for years now and no such feedbacks have been reported.
Comment 3 Katrin Fischer 2018-12-07 17:27:31 UTC
It has also been improved over recent versions with new options and bug fixes. We have used it quite a few times for smaller changes now and it works.

Only thing I miss maybe is an option to change controlfields, like 006 and 007.
Comment 4 Jonathan Druart 2018-12-07 17:45:03 UTC
Created attachment 82991 [details] [review]
Bug 21831: Allow move all fields even if destination field is different

Tests exist in t/SimpleMARC.t to prove that it works and it is possible.
I do not remember what I wrote this limitation.
Comment 5 Jonathan Druart 2018-12-07 17:46:08 UTC
Pasi, could you test this patch? I have no idea why this condition/limitation existed.
Comment 6 David Cook 2018-12-09 23:14:33 UTC
(In reply to Jonathan Druart from comment #2)
> That's not very constructive. The tool exists for years now and no such
> feedbacks have been reported.

That's fair enough. I said "personally" because I personally don't find it very useful, but I'm sure there are many people who do. And it's certainly better than the lack of options before. 

That said, I have a number of librarians who try to use it and get frustrated by how it works. They're very gracious about it, so they don't complain much, but they're now stopping using the marc modification templates in favour of trying to use MarcEdit instead. If they can get their IT department to allow them to install it on their desktops.
Comment 7 David Cook 2018-12-09 23:15:12 UTC
(In reply to Jonathan Druart from comment #5)
> Pasi, could you test this patch? I have no idea why this
> condition/limitation existed.

I'll put this on my to do list as well. I have other work I need to do at this moment, but I'm keen to look at this patch and test it out.
Comment 8 Jon Knight 2019-05-20 15:50:21 UTC
Created attachment 89926 [details] [review]
Bug 21831: Allow move all fields even if destination field is different

Tests exist in t/SimpleMARC.t to prove that it works and it is possible.
I do not remember what I wrote this limitation.

Signed-off-by: Jon Knight <j.p.knight@lboro.ac.uk>
Comment 9 Marcel de Rooy 2019-05-22 14:41:30 UTC
QA: Looking here
Comment 10 Marcel de Rooy 2019-05-22 14:59:04 UTC
Created attachment 89965 [details] [review]
Bug 21831: Allow move all fields even if destination field is different

Tests exist in t/SimpleMARC.t to prove that it works and it is possible.
I do not remember what I wrote this limitation.

Signed-off-by: Jon Knight <j.p.knight@lboro.ac.uk>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 11 Nick Clemens 2019-05-23 15:01:23 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-05-30 19:52:24 UTC
Pushed to 18.11.x for 18.11.06